---
title: ':nth-of-type()'
slug: 'Web/CSS/:nth-of-type'
tags:
  - CSS
  - Layout
  - Pseudo-class
  - Reference
  - Selector
  - Web
---
<div>{{CSSRef}}</div>

<p>The <strong><code>:nth-of-type()</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> <a href="/en-US/docs/Web/CSS/Pseudo-classes">pseudo-class</a> matches elements of a given type (tag name), based on their position among a group of siblings.</p>

<pre class="brush: css no-line-numbers  language-css notranslate">/* Selects every fourth &lt;p&gt; element
   among any group of siblings */
p:nth-of-type(4n) {
  color: lime;
}</pre>

<h2 id="Syntax">Syntax</h2>

<p>The <code>nth-of-type</code> pseudo-class is specified with a single argument, which represents the pattern for matching elements.</p>

<p>See {{Cssxref(":nth-child")}} for a more detailed explanation of its syntax.</p>

<h3 id="Formal_syntax">Formal syntax</h3>

<pre class="syntaxbox notranslate">{{csssyntax}}
</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Basic_example">Basic example</h3>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;div&gt;
  &lt;div&gt;This element isn't counted.&lt;/div&gt;
  &lt;p&gt;1st paragraph.&lt;/p&gt;
  &lt;p&gt;2nd paragraph.&lt;/p&gt;
  &lt;div&gt;This element isn't counted.&lt;/div&gt;
  &lt;p&gt;3rd paragraph.&lt;/p&gt;
  &lt;p class="fancy"&gt;4th paragraph.&lt;/p&gt;
&lt;/div&gt;</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">/* Odd paragraphs */
p:nth-of-type(2n+1) {
  color: red;
}

/* Even paragraphs */
p:nth-of-type(2n) {
  color: blue;
}

/* First paragraph */
p:nth-of-type(1) {
  font-weight: bold;
}

/* This has no effect, as the .fancy class is only on the 4th p element, not the 1st */
p.fancy:nth-of-type(1) {
  text-decoration: underline;
}
</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample('Basic_example', 250, 200)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS4 Selectors', '#nth-of-type-pseudo', ':nth-of-type')}}</td>
   <td>{{Spec2('CSS4 Selectors')}}</td>
   <td>Matching elements are not required to have a parent.</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS3 Selectors', '#nth-of-type-pseudo', ':nth-of-type')}}</td>
   <td>{{Spec2('CSS3 Selectors')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("css.selectors.nth-of-type")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{Cssxref(":nth-child")}}, {{Cssxref(":nth-last-of-type")}}</li>
</ul>
